[SCM] Packaging of Email::Find in Debian branch, master, updated. upstream/0.10-dfsg-16-g1f74b8d

Francesco Cecconi francesco.cecconi at gmail.com
Fri Jul 19 10:14:16 UTC 2013


The following commit has been merged in the master branch:
commit 76ba719fa460458ee499191c87a98e642bb53ed6
Author: Francesco Cecconi <francesco.cecconi at gmail.com>
Date:   Fri Jul 19 12:03:56 2013 +0200

    debian/: added repack.stub and repack.local script.
    
    updated copyright and watch file for the automated repack.

diff --git a/debian/changelog b/debian/changelog
index dca0015..513ec19 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,15 +1,5 @@
 libemail-find-perl (0.10-dfsg-3) UNRELEASED; urgency=low
 
-  TODO:
-  - usually "+dfsg" is used for a repackaged tarball. doesn't make sense to
-    change for a -2 upload, but might be worth to change after the upload as a
-    preparation for the next one. cf. our repackaging guide:
-    http://pkg-perl.alioth.debian.org/howto/repacking.html
-    for setting up the whole machinery
-  - I don't see any text or script or anything how the repacked tarball is
-    created? at least a note in d/copyright is required, cf.
-    http://pkg-perl.alioth.debian.org/howto/repacking.html#4__copyright_file
-
   * debian/control:
     + changed Maintainer field for perl group.
     + added Uploaders field.
@@ -27,10 +17,15 @@ libemail-find-perl (0.10-dfsg-3) UNRELEASED; urgency=low
     + README is not shipped anymore.
   * debian/copyright:
     + updated to the new standard 1.0.
+    + inserted note for dfsg.
+    + inserted repack.stub copyright.
   * debian/watch:
     + updated to metacpan.
+    + added debian/repack.stub.
   * debian/patch:
     + updated fix_pod2man_errors.diff.
+  * debian/
+    + added repack.stub and repack.local scripts.
 
  -- Francesco Cecconi <francesco.cecconi at gmail.com>  Wed, 17 Jul 2013 19:46:16 +0200
 
diff --git a/debian/copyright b/debian/copyright
index 9c4dd38..1894ee1 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,6 +2,11 @@ Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: Email::Find
 Upstream-Contact: Tatsuhiko Miyagawa <miyagawa at bulknews.net>
 Source: https://metacpan.org/module/Email::Find
+Comment: The upstream sources were repacked in order to remove
+ a non-free IETF RFC/I-Ds in the t/ directory.
+ .
+ The +dfsg tarball can be created using the repack.sh script (via
+ repack.stub).
 
 Files: *
 Copyright: 2000-2001 Michael G Schwern <schwern at pobox.com>
@@ -20,6 +25,10 @@ Copyright: 2003-2005, Kenneth J. Pronovici <pronovic at debian.org>
            2006-2013, Francesco Cecconi <francesco.cecconi at gmail.com>
 License: Artistic or GPL-1+
 
+Files: debian/repack.stub
+Copyright: 2009, Ryan Niebur <ryan at debian.org>
+License: Artistic or GPL-1+
+
 License: Artistic
  This program is free software; you can redistribute it and/or modify
  it under the terms of the Artistic License, which comes with Perl.
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..e484de1
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,2 @@
+MANIFEST=1
+rm t/RFC822.t t/rfc822.txt
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100644
index 0000000..4d68667
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=head1 COPYRIGHT AND LICENSE
+
+Copyright 2009, Ryan Niebur <ryan at debian.org>
+
+License: Artistic or GPL-1+
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://anonscm.debian.org/gitweb/?p=pkg-perl/scripts.git;a=blob_plain;f=repack.sh;hb=HEAD"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 46591f8..7e7633a 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
 version=3
 opts=dversionmangle=s/\-dfsg$// \
-https://metacpan.org/release/Email-Find/    .*/Email-Find-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+https://metacpan.org/release/Email-Find/    .*/Email-Find-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
+debian sh debian/repack.stub

-- 
Packaging of Email::Find in Debian



More information about the Pkg-perl-cvs-commits mailing list